# MongoDB\Driver\Session::getOperationTime

(mongodb >=1.4.0)

MongoDB\Driver\Session::getOperationTime — Returns the operation time for this session

### Description

final public MongoDB\Driver\Session::getOperationTime ( void ) : MongoDB\BSON\Timestamp|null

Returns the operation time for this session. If the session has not been used for any operation and MongoDB\Driver\Session::advanceOperationTime() has not been called, the operation time will be `NULL`

### Parameters

This function has no parameters.

### Return Values

Returns the operation time for this session, or `NULL` if the session has no operation time.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Session::advanceOperationTime() - Advances the operation time for this session